core::dbus::Codec< com::lomiri::location::units::Quantity< T > > Struct Template Reference

`#include <codec.h>`

Collaboration diagram for core::dbus::Codec< com::lomiri::location::units::Quantity< T > >:

## Static Public Member Functions

static void | encode_argument (Message::Writer &writer, const com::lomiri::location::units::Quantity< T > &in)
static void | decode_argument (Message::Reader &reader, com::lomiri::location::units::Quantity< T > &in)

## Detailed Description

template<typename T>
struct core::dbus::Codec< com::lomiri::location::units::Quantity< T > >

Definition at line 139 of file codec.h.

## Member Function Documentation

## decode_argument()

template<typename T>

void core::dbus::Codec< com::lomiri::location::units::Quantity< T > >::decode_argument | ( | Message::Reader & | reader,
|  | com::lomiri::location::units::Quantity< T > & | in )

inline static

Definition at line 146 of file codec.h.

References decode_argument().

Referenced by decode_argument().

Here is the call graph for this function:

## encode_argument()

template<typename T>

void core::dbus::Codec< com::lomiri::location::units::Quantity< T > >::encode_argument | ( | Message::Writer & | writer,
|  | const com::lomiri::location::units::Quantity< T > & | in )

inline static

Definition at line 141 of file codec.h.

References encode_argument().

Referenced by encode_argument().

Here is the call graph for this function:

The documentation for this struct was generated from the following file:

- codec.h